return {
  "nvim-telescope/telescope.nvim",
  branch = "master",
  keys = {
    -- disable the keymap to grep files
    { "<leader>/", false },
    { "<leader><space>", false },
    { "<leader>ff", "<cmd>Telescope find_files<cr>", desc = "Find Files" },
    { "<leader>fg", "<cmd>Telescope live_grep<cr>", desc = "Grep Files" },
    {
      "<leader>fp",
      function()
        require("telescope.builtin").find_files({ cwd = require("lazy.core.config").options.root })
      end,
      desc = "Find Plugin File",
    },
  },
}
